<?php

/**
* $Id: databaseupdater.php 9536 2009-11-13 18:59:32Z pesianstranger $
* Author: The SmartFactory <www.smartfactory.ca>
* Licence: GNU
*/
defined('ICMS_ROOT_PATH') or die('TacCMS root path not defined');

define("_DATABASEUPDATER_IMPORT", "インポート");
define("_DATABASEUPDATER_CURRENTVER", "現在のバージョン: <span class='currentVer'>%s</span>");
define("_DATABASEUPDATER_DBVER", "データベースのバージョン %s");
define("_DATABASEUPDATER_MSG_ADD_DATA", "%s テーブルにデータが追加されました");
define("_DATABASEUPDATER_MSG_ADD_DATA_ERR", "%s テーブルにデータを追加する際にエラーが発生しました。");
define("_DATABASEUPDATER_MSG_CHGFIELD", "field %s フィールド（%s テーブル内) を変更しました。");
define("_DATABASEUPDATER_MSG_CHGFIELD_ERR", "field %s フィールド（%s テーブル内) を変更する際にエラーが発生しました。");
define("_DATABASEUPDATER_MSG_CREATE_TABLE", "%s テーブルが作成されました。");
define("_DATABASEUPDATER_MSG_CREATE_TABLE_ERR", "%s テーブル作成に失敗しました。");
define("_DATABASEUPDATER_MSG_NEWFIELD", "%s フィールドの追加に成功しました。");
define("_DATABASEUPDATER_MSG_NEWFIELD_ERR", "%sフィールドの追加に失敗しました。");
define("_DATABASEUPDATER_NEEDUPDATE", "お使いのデータベースは有効期限が切れています。データベーステーブルをアップグレードしてください！<br /><b>特記 : ImpressCMSはデータベースをアップグレードする前にバックアップを取っておくことをおすすめします。</b><br />");
define("_DATABASEUPDATER_NOUPDATE", "お使いのデータベースは最新です。アップデートの必要はありません。");
define("_DATABASEUPDATER_UPDATE_DB", "データベース更新");
define("_DATABASEUPDATER_UPDATE_ERR", "version %sへのアップデートに失敗しました。");
define("_DATABASEUPDATER_UPDATE_NOW", "今すぐアップデート！");
define("_DATABASEUPDATER_UPDATE_OK", "version %sへのアップデートに成功しました。");
define("_DATABASEUPDATER_UPDATE_TO", "version %sにアップデート中");
define("_DATABASEUPDATER_UPDATE_UPDATING_DATABASE", "データベースのアップデート中...");

define("_DATABASEUPDATER_MSG_UPDATE_TABLE", "%sテーブルのデータは無事にアップデートされました。");
define("_DATABASEUPDATER_MSG_UPDATE_TABLE_ERR", "%sテーブルの更新時にエラーが発生しました。");
define("_DATABASEUPDATER_MSG_DELETE_TABLE", "%sテーブルの特定データが削除されました。");
define("_DATABASEUPDATER_MSG_DELETE_TABLE_ERR", "%sテーブルの特定データ削除時にエラーが発生しました。");
############# added since 1.2 #############
define("_DATABASEUPDATER_MSG_DB_VERSION_ERR", "モジュールのdbバージョンをアップデート出来ませんでした");
define("_DATABASEUPDATER_LATESTVER", "最新のデータベースバージョン : <span class='currentVer'>%s</span>");
define("_DATABASEUPDATER_MSG_CONFIG_ERR", "%s コンフィグを追加出来ませんでした");
define("_DATABASEUPDATER_MSG_CONFIG_SCC", "%s コンフィグを追加しました。");

/* added in 1.3 */
define( '_DATABASEUPDATER_MSG_FROM_112', "<code><h3>あなたのサイトをImpressCMS 1.1.x から ImpressCMS 1.2 に更新しました。<strong>新しいContentモジュール</strong>アップデートする必要があります. 20秒以内にインストールサイトに移動します. 移動しない場合は<a href='" . ICMS_URL . "/modules/system/admin.php?fct=modulesadmin&op=install&module=content&from_112=1'>をクリックしてください</a>.</h3></code>" );
define('_DATABASEUPDATER_MSG_DROPFIELD_ERR', '%1$s フィールドを %2$s テーブルから削除する際にエラーが発生しました');
define("_DATABASEUPDATER_MSG_DROPFIELD", '%1$s フィールドを %2$s テーブルから削除しました。');

// Added in 1.2.7/1.3.1
define("_DATABASEUPDATER_MSG_DROP_TABLE", "Successfully dropped database table %s");
define("_DATABASEUPDATER_MSG_DROP_TABLE_ERR", "Error dropping database table %s");

// Added in 1.3.2
define("_DATABASEUPDATER_MSG_QUERY_SUCCESSFUL", "Query successful: %s");
define("_DATABASEUPDATER_MSG_QUERY_FAILED", "Query failed: %s");
